<?php 
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$codigo_grupo=escapar($_POST["cdgr"],'int');
$periodo=escapar($_POST["per_calif"],'int');
if($codigo_grupo=='0x'){
	header("Content-type: application/json");
	echo json_encode(array());
	exit;
}
	
require_once("../../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$consulta="SELECT aca_estudiantes.cod_estudiante, aca_estudiantes.numedocumento_est, 
	lcase(CONCAT_WS(' ', aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS nombre,
	lcase(CONCAT_WS(' ', aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est)) as apellidos,
	lcase(CONCAT_WS(' ', aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS nombres,
	foto_est
	
FROM aca_estudiantesxgrupos
    INNER JOIN aca_estudiantes 
        ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
	WHERE aca_estudiantesxgrupos.cod_grupo =$codigo_grupo and aca_estudiantes.estado_est = 1 order by nombre";
$consulta="SELECT
  aca_estudiantes.cod_estudiante                AS cod_estudiante,
  aca_estudiantes.numedocumento_est             AS numedocumento_est,
  LCASE(CONCAT_WS(' ',aca_estudiantes.apellido1_est,aca_estudiantes.apellido2_est,aca_estudiantes.nombre1_est,aca_estudiantes.nombre2_est)) AS nombre,
  aux_tipos_identificacion.nom_tipoiden         AS nom_tipoiden,
  aux_tipos_identificacion.abrev_tipo_iden         AS abr_nom_tipoiden,
  CONCAT_WS(' ',aux_grados.nom_grado,aux_nombres_grupos.nom_grupo_let) AS nom_grupo_let,
  CONCAT_WS(' ',aux_grados.nom_grado,aux_nombres_grupos.nom_grupo_num) AS nom_grupo_num,
  CONCAT_WS(' ',aux_grados.nom_grado,aux_nombres_grupos.nom_grupo_rom) AS nom_grupo_rom,
  aca_grupos.finalizado                         AS finalizado,
  aca_grupos.cod_sede                           AS cod_sede,
  lcase(adm_sedes.nom_sede)                            AS nom_sede,
  aca_grupos.cod_jornada                        AS cod_jornada,
  aux_jornadas.nom_jornada                      AS nom_jornada,
  aux_nombres_grupos.nom_grupo_num              AS numgrupo,
  foto_est,
  lcase(CONCAT_WS(' ', aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est)) as apellidos,
  lcase(CONCAT_WS(' ', aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS nombres
FROM (((((((aca_estudiantes
         JOIN aux_tipos_identificacion
           ON ((aca_estudiantes.tipodocumento_est = aux_tipos_identificacion.ide_tipoiden)))
        JOIN aca_estudiantesxgrupos
          ON ((aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)))
       JOIN aca_grupos
         ON ((aca_estudiantesxgrupos.cod_grupo = aca_grupos.cod_grupo)))
      JOIN aux_grados
        ON ((aca_grupos.cod_grado = aux_grados.cod_grado)))
     JOIN aux_nombres_grupos
       ON ((aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo)))
    JOIN adm_sedes
      ON ((aca_grupos.cod_sede = adm_sedes.cod_sede)))
   JOIN aux_jornadas
     ON ((aca_grupos.cod_jornada = aux_jornadas.cod_jornada)))
WHERE (aca_estudiantes.estado_est = 1 and aca_estudiantesxgrupos.cod_grupo =$codigo_grupo)";

$academia->instruccion($consulta);
$i=0;
$responce = array();
//$responce['sql']=$consulta;
$mayus_nom=$sesion->getVar('configuracion.format_nom');
while($row = $academia->extraer_registro()) {
	$foto=empty($row['foto_est']) ? 'avatar.png' : $row['foto_est'];
	if(!file_exists('../../img_avatar/'.$foto)){
		$foto='avatar.png';
	}

    $im = file_get_contents('../../img_avatar/'.$foto);
    $imdata = 'data:image/png;base64,'. base64_encode($im);

	$responce['rows'][]=array(
		'cod_estudiante'=>zerofill($row['cod_estudiante']),
		'numedocumento_est'=>$row['numedocumento_est'],
		'nombre'=>formatoPalabras($row['nombre'],$mayus_nom),
		'apellidos'=>formatoPalabras($row['apellidos'],$mayus_nom),
		'nombres'=>formatoPalabras($row['nombres'],$mayus_nom),
		'foto'=>$imdata,#$foto,
		'grupo'=>$row['nom_grupo_num'],
		'anio'=>$sesion->get('anio'),
		'sede'=>formatoPalabras($row['nom_sede'],$mayus_nom),
		'tp_doc'=>$row['nom_tipoiden'],
		'abr_tp_doc'=>$row['abr_nom_tipoiden']
	);
}  
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>
        